#ifndef ROBO_XENO_RTIO_PHIDGETS_HANDLE_CREATOR_H_
#define ROBO_XENO_RTIO_PHIDGETS_HANDLE_CREATOR_H_

#include <phidget21.h>

#include <stdexcept>

namespace rtio {

namespace phidgets {


	template<class Type>
	class HandleCreator {
	public :
		void operator() (Type * t){
			throw std::logic_error("Is not implemented yet.");
		}
	};

	template<>
	class HandleCreator<CPhidgetBridgeHandle> {
	public :
		void operator()(CPhidgetBridgeHandle* b){
			CPhidgetBridge_create(b);
		}
	};

} //namespace phidgets

} //namespace rtio



#endif //ROBO_XENO_RTIO_PHIDGETS_HANDLE_CREATOR_H_
