/*
 * Module.cpp
 *
 *  Created on: Dec 20, 2012
 *      Author: tuleu
 */

#include "Module.h"

#include "Config.h"

#include "bridge/BridgeQueue.h"

namespace rtio {

namespace phidgets {

Module::Module(){
}

Module::~Module(){
}

void Module::InitIO(Manager & manager){
	rtio::phidgets::Config config;
	config.LoadAllFiles();

	if(config.Bridges().SubSections().size()){
		rtio::Queue::Ptr q(manager.AddQueue<BridgeQueue>(0,Queue::NonRealtime));

		((BridgeQueue*)q.get())->LoadFromConfig(config.Bridges());
	}
}

} /* namespace phidgets */

} /* namespace rtio */
