/**
 * \file ModulesSection.h
 *
 *  \date Dec 6, 2012
 *  \author Alexandre Tuleu
 */

#ifndef ROBO_XENO_RX_MODULESSECTION_H_
#define ROBO_XENO_RX_MODULESSECTION_H_

#include <biorob-cpp/options/Config.h>


/**
 *
 */
namespace rx {
/**
 *
 */
class ModulesSection : public options::ConfigSection {
public :
	ModulesSection(options::Section::Ptr s);
	virtual ~ModulesSection();
	BCPP_ADD_OPTION(Critical,"critical",std::string,"","semi-colon ; separated list of critical module");
	BCPP_ADD_OPTION(Optionnal,"optionnal",std::string,"","semi-colon ; separated list of optional module");
};


}
#endif // ROBO_XENO_MODULESSECTION_H_
