/**
 * \file IO.h
 *
 *  \date Dec 7, 2012
 *  \author Alexandre Tuleu
 */

#ifndef ROBO_XENO_IO_H_
#define ROBO_XENO_IO_H_

#include <tr1/memory>

/**
 *
 */
namespace rx{
/**
 *
 */

	class Input{
	public :
		typedef std::tr1::shared_ptr<rx::Input> Ptr;
		virtual ~Input();

		virtual void SendToProcess(double value) = 0;
	};

	class Output{
	public :
		typedef std::tr1::shared_ptr<rx::Output> Ptr;
		virtual ~Output();

		virtual double ReadFromProcess() = 0;

	};


}
#endif // ROBO_XENO_IO_H_
