/**
 * \file MockIO.h
 *
 *  \date Dec 4, 2012
 *  \author Alexandre Tuleu
 */

#ifndef ROBO_XENO_MOCKIO_H_
#define ROBO_XENO_MOCKIO_H_

#include <gmock/gmock.h>

#include "IO.h"

namespace rtio {
/**
 *
 */
class MockInput : public Input {
public:
	typedef std::tr1::shared_ptr<MockInput> Ptr;
	MockInput();
	virtual ~MockInput();

	MOCK_METHOD0(Read,void());
};


class MockOutput : public Output {
public :
	typedef std::tr1::shared_ptr<MockOutput> Ptr;
	MockOutput();
	virtual ~MockOutput();

	MOCK_METHOD0(Send,void());
};

}
#endif // ROBO_XENO_MOCKIO_H_
