/**
 * \file MockModule.cpp
 *
 *  \date Dec 7, 2012
 *  \author Alexandre Tuleu
 */

#include "MockModule.h"

#include "MockQueue.h"
#include "MockIO.h"

#include <gtest/gtest.h>

namespace rtio {

	MockModule::MockModule(){}

	MockModule::~MockModule(){Die();}


	MockModule * MockModule::LastCreated(){
		return s_lastCreated;
	}

	MockModule * MockModule::s_lastCreated(NULL);

	void MockModule::SetLastCreated(MockModule * m){
		s_lastCreated = m;
	}
} /* namespace rtio */
