/**
 * \file Module.h
 *
 *  \date Dec 6, 2012
 *  \author Alexandre Tuleu
 */

#ifndef ROBO_XENO_RTIO_MODULE_H_
#define ROBO_XENO_RTIO_MODULE_H_

#include <biorob-cpp/config.h>

#include <biorob-cpp/plugin/PluginLoader.h>

#include <robo-xeno/rtio/Manager.h>

namespace rtio {
/**
 *
 */
class Module {
	BIOROB_CPP_DECLARE_PLUGIN(Module);
public:
	virtual ~Module();
	virtual void InitIO(Manager & manager) = 0;
};

}
#endif // ROBO_XENO_RTIO_MODULE_H_
