/**
 * \file QueueUTest.h
 *
 *  \date Dec 4, 2012
 *  \author Alexandre Tuleu
 */

#ifndef ROBO_XENO_QUEUEUTEST_H_
#define ROBO_XENO_QUEUEUTEST_H_


#include <gtest/gtest.h>

#include "Queue.h"
#include "Manager.h"

namespace rtio {


class QueueUTest : public ::testing::Test{
protected :
	void SetUp();
	void TearDown();

	bool ContainsInput(const std::string & name);
	bool ContainsOutput(const std::string & name);

	Queue::Ptr d_queue;
	Manager d_manager;
};

}//namespace rtio
#endif // ROBO_XENO_QUEUEUTEST_H_
