/*
 * timer.h
 *
 *  Created on: 5 nov. 2012
 *      Author: akay
 */

#ifndef ROBO_XENO_EMULATION_TIMER_H_
#define ROBO_XENO_EMULATION_TIMER_H_

#include <stdint.h>

#include <native/types.h>

#ifdef __cplusplus
extern "C" {
#endif

struct robo_xeno_timer;
#ifndef __cplusplus
typedef struct robo_xeno_timer robo_xeno_timer;
#endif


robo_xeno_timer * create_robo_xeno_timer();

void free_robo_xeno_timer(robo_xeno_timer * t);

int robo_xeno_timer_set_period(robo_xeno_timer *t, RTIME period);

int robo_xeno_timer_wait_period(robo_xeno_timer * t, unsigned long * overruns);

#ifdef __cplusplus
} //extern "C"
#endif

#endif /* ROBO_XENO_EMULATION_TIMER_H_ */
