/**
 * \file main-check.cpp
 *
 *  \date Dec 4, 2012
 *  \author Alexandre Tuleu
 */

#include <gmock/gmock.h>

#include <biorob-cpp/config.h>

#include <native/types.h>

#ifdef BIOROB_CPP_Linux
#include <sys/mman.h>
#endif

int main(int argc, char ** argv){
#ifndef XENO_EMULATION_USED
	mlockall(MCL_CURRENT | MCL_FUTURE);
#endif
	::testing::InitGoogleMock(&argc,argv);
	return RUN_ALL_TESTS();
}


