/**
 * \file PhidgetError.h
 *
 *  \date Dec 20, 2012
 *  \author Alexandre Tuleu
 */

#ifndef ROBO_XENO_PHIDGETERROR_H_
#define ROBO_XENO_PHIDGETERROR_H_

#include <stdexcept>
#include <string>

/**
 *
 */
namespace rtio {

namespace phidgets {

/**
 *
 */
class PhidgetError : public std::runtime_error {
public:
	PhidgetError(const std::string & str , int err);
	virtual ~PhidgetError() throw ();

	virtual const char * what() const throw();
private :
	std::string d_what;
};


} //namespace phidgets

} //namespace rtio


#endif // ROBO_XENO_PHIDGETERROR_H_
