#include "Config.h"

namespace rtio {

namespace phidgets {


	BridgeInputSection::BridgeInputSection(options::Section::Ptr s)
		: options::ConfigSection(s)
		, d_hInput(Section())
		, d_hGain(Section()){
	}

	BridgeInputSection::~BridgeInputSection(){}

	BridgeSection::BridgeSection(options::Section::Ptr s)
		: options::DynamicConfigSection<BridgeInputSection>(s)
		, d_hSerialNumber(Section())
		, d_hDataRate(Section()){
	}

	BridgeSection::~BridgeSection(){}

	BridgesSection::BridgesSection(options::Section::Ptr s)
		: options::DynamicConfigSection<BridgeSection>(s){
	}

	BridgesSection::~BridgesSection(){}

} //namespace phidgets

} //namespace rtio
