/**
 * \file NativeError.h
 *
 *  \date Dec 13, 2012
 *  \author Alexandre Tuleu
 */

#ifndef ROBO_XENO_NATIVEERROR_H_
#define ROBO_XENO_NATIVEERROR_H_

#include <exception>
#include <string>
/**
 *
 */
namespace rx{
/**
 *
 */
class NativeError : public std::exception {
public:
	NativeError(const std::string & whatStr,int error);
	virtual ~NativeError() throw();

	virtual const char * what() const throw();

private :
	std::string d_what;

};
}//namespace rx

#endif // ROBO_XENO_NATIVEERROR_H_
