/**
 * \file ManagerUTest.h
 *
 *  \date Dec 4, 2012
 *  \author Alexandre Tuleu
 */

#ifndef ROBO_XENO_RTIO_MANAGERUTEST_H_
#define ROBO_XENO_RTIO_MANAGERUTEST_H_

#include <gtest/gtest.h>

#include "Manager.h"
#include "MockQueue.h"
#include "MockIO.h"

namespace rtio {
/**
 *
 */
class ManagerUTest : public ::testing::Test{
protected:

	void SetUp();
	void TearDown();

	Manager d_manager;

};

class ManagerSyncUTest : public ManagerUTest {
protected :
	void SetUp();
	void TearDown();

	MockQueue::Ptr  d_q[2];
	MockInput::Ptr  d_in[4];
	MockOutput::Ptr d_out[4];
};

}
#endif // ROBO_XENO_MANAGERUTEST_H_
