/*
 * timer_darwin.cpp
 *
 *  Created on: 5 nov. 2012
 *      Author: akay
 */




#include <xeno-emulation/config.h>

#ifndef ROBO_XENO_EMULATION_DARWIN
#error "This should only be compiled on Darwin"
#endif


#include <xeno-emulation/timer.h>

struct robo_xeno_timer {
	RTIME period;
};

#include <cstdlib>
#include <unistd.h>


extern "C" {

robo_xeno_timer * create_robo_xeno_timer(){
	return (robo_xeno_timer*)malloc(sizeof(robo_xeno_timer));
}

void free_robo_xeno_timer(robo_xeno_timer * t){
	free(t);
}

int robo_xeno_timer_set_period(robo_xeno_timer *t, RTIME period){
	t->period = period;
	return 0;
}

int robo_xeno_timer_wait_period(robo_xeno_timer * t, unsigned long * overruns){
	usleep(t->period/1000);
	return 0;
}


}
